import freemarker.template.*;
import java.util.*;

public class GuestbookTM implements TemplateSequenceModel {

    private List entries;

    public GuestbookTM(Guestbook book) {
        this.entries = book.getList();
    }

    public boolean isEmpty() throws TemplateModelException {
        return entries.isEmpty();
    }

    public TemplateModel get(int i) throws TemplateModelException {
        if ((i >= 0) && (i < entries.size())) {
            return new GuestbookEntryTM((GuestbookEntry)entries.get(i));
        } else {
            throw new TemplateModelException("Index out of range.");
        }
    }
    
    public int size() {
        return entries.size();
    }

}

